org.springframework.jmx.access

## Class InvocationFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.jmx.JmxException
          - - org.springframework.jmx.access.InvocationFailureException

All Implemented Interfaces:
  Serializable

    public class InvocationFailureException
    extends JmxException

Thrown when an invocation on an MBean resource failed with an exception (either a reflection exception or an exception thrown by the target method itself).

Since:
  1.2
Author:
  Juergen Hoeller
See Also:
  `MBeanClientInterceptor`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvocationFailureException(String msg)` Create a new `InvocationFailureException` with the supplied error message.
`InvocationFailureException(String msg, Throwable cause)` Create a new `InvocationFailureException` with the specified error message and root cause.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvocationFailureException

    public InvocationFailureException(String msg)

Create a new `InvocationFailureException` with the supplied error message.

Parameters:
  `msg` - the detail message

#### InvocationFailureException

    public InvocationFailureException(String msg,
                              Throwable cause)

Create a new `InvocationFailureException` with the specified error message and root cause.

Parameters:
  `msg` - the detail message
  `cause` - the root cause